## minizinc 2.6.3+dfsg1

=== debian/changelog ===
minizinc (2.6.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version 4.6.1 (no changes necessary)
  * Remove unused build deps latexmk, texlive-latex-recommended

 -- Kari Pahula <kaol@debian.org>  Sun, 29 May 2022 17:01:59 +0300

## minizinc 2.6.4+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4.0)
# -------------------------------------------------------------------------------------------------------------------
#  -- Project information and versioning.

project(libminizinc
        VERSION 2.6.4
        LANGUAGES CXX C)

if(NOT BUILD_REF)
  set(BUILD_REF "")
endif()

# -------------------------------------------------------------------------------------------------------------------
#  -- Project build options

# Static vs. Dynamic linking
option(CPLEX_PLUGIN "Build CPLEX binding as a plugin" ON)

# CMake options default value
option(CMAKE_POSITION_INDEPENDENT_CODE "Default value for POSITION_INDEPENDENT_CODE of targets" TRUE)

# -------------------------------------------------------------------------------------------------------------------
#  -- CMake initialisation

include(GNUInstallDirs)

# Fix library suffixes for Web Assembly platform
include(cmake/support/emscripten_setup.cmake)

# Try to find possible dependencies
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW)
endif(POLICY CMP0074)
find_package(Geas)
find_package(Gecode 6.2 COMPONENTS Driver Float Int Kernel Minimodel Search Set Support)
find_package(OsiCBC)
if(NOT CPLEX_PLUGIN)
	find_package(CPlex REQUIRED)
endif()

# Set build type when none is selected
set(DEFAULT_BUILD_TYPE "Release")
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to '${DEFAULT_BUILD_TYPE}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${DEFAULT_BUILD_TYPE}" CACHE STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
               "Debug"
               "Release"
               "MinSizeRel"
               "RelWithDebInfo")
endif()

# -------------------------------------------------------------------------------------------------------------------
#  -- Compiler configuration

include(cmake/support/ccache_setup.cmake)
include(cmake/support/compiler_setup.cmake)

configure_file(
  ${PROJECT_SOURCE_DIR}/include/minizinc/config.hh.in
  ${PROJECT_BINARY_DIR}/include/minizinc/config.hh
)

install(
  FILES ${PROJECT_BINARY_DIR}/include/minizinc/config.hh
  DESTINATION include/minizinc
)

# -------------------------------------------------------------------------------------------------------------------
#  -- MiniZinc compilation targets.

find_package(Threads REQUIRED)
include_directories(${PROJECT_SOURCE_DIR}/include)
include_directories(${PROJECT_BINARY_DIR}/include)

# Libraries
include(cmake/targets/libmzn.cmake)

# Executables
include(cmake/targets/minizinc.cmake)
include(cmake/targets/mzn2doc.cmake)

# -------------------------------------------------------------------------------------------------------------------
#  -- Platform Specific configuration
include(cmake/support/config_emscripten.cmake)

# -------------------------------------------------------------------------------------------------------------------
#  -- CMake configuration generation

include(cmake/support/config_export.cmake)
include(cmake/support/config_output.cmake)

# -------------------------------------------------------------------------------------------------------------------
#  -- Support Actions
include(cmake/support/format.cmake)

=== tests/requirements.txt ===
PyYAML==5.4
pytest==6.*
py==1.9.*
pytest-html==2.*
pytest-xdist==2.*
pytest-instafail==0.4.*
git+https://github.com/MiniZinc/minizinc-python.git@develop#egg=minizinc

=== tests/flattening/requirements.txt ===
pandas==1.2.*
tabulate==0.8.*

=== debian/changelog ===
minizinc (2.6.4+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1012997)

 -- Kari Pahula <kaol@debian.org>  Sat, 23 Jul 2022 02:30:33 +0300

=== debian/control ===
Source: minizinc
Section: devel
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends: debhelper (>= 13), dh-exec, cmake, flex, bison, flatzinc, libgecode-dev (>= 6.2.0)
Standards-Version: 4.6.1
Homepage: http://www.minizinc.org/

Package: minizinc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flatzinc (>= 6.2.0-1)
Breaks: minizinc-ide (<< 2.4.0~)
Description: constraint modelling language and tool chain
 MiniZinc is a medium-level constraint modelling language. It is
 high-level enough to express most constraint problems easily, but
 low-level enough that it can be mapped onto existing solvers easily
 and consistently. It is a subset of the higher-level language Zinc.
 .
 MiniZinc is designed to interface easily to different backend
 solvers.  It does this by transforming an input MiniZinc model and
 data file into a FlatZinc model. FlatZinc models consist of variable
 declaration and constraint definitions as well as a definition of the
 objective function if the problem is an optimization problem. The
 translation from MiniZinc to FlatZinc is specializable to individual
 backend solvers, so they can control what form constraints end up
 in. In particular, MiniZinc allows the specification of global
 constraints by decomposition.

## minizinc 2.8.2+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.4.0)
+cmake_minimum_required(VERSION 3.5.0)
 # -------------------------------------------------------------------------------------------------------------------
 #  -- Project information and versioning.
 
 project(libminizinc
-        VERSION 2.6.4
+        VERSION 2.8.2
         LANGUAGES CXX C)
 
 if(NOT BUILD_REF)
@@ -15,6 +15,7 @@
 
 # Static vs. Dynamic linking
 option(CPLEX_PLUGIN "Build CPLEX binding as a plugin" ON)
+option(HIGHS_PLUGIN "Build HiGHS binding as a plugin" ON)
 
 # CMake options default value
 option(CMAKE_POSITION_INDEPENDENT_CODE "Default value for POSITION_INDEPENDENT_CODE of targets" TRUE)
@@ -29,11 +30,18 @@
 
 # Try to find possible dependencies
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
+list(APPEND CMAKE_PREFIX_PATH ${CMAKE_CURRENT_SOURCE_DIR}/vendor/highs/lib/cmake/highs)
+list(APPEND CMAKE_PREFIX_PATH ${CMAKE_CURRENT_SOURCE_DIR}/vendor/highs/lib64/cmake/highs)
+list(APPEND CMAKE_PREFIX_PATH ${CMAKE_CURRENT_SOURCE_DIR}/vendor/chuffed/lib/cmake/chuffed)
 if(POLICY CMP0074)
   cmake_policy(SET CMP0074 NEW)
 endif(POLICY CMP0074)
 find_package(Geas)
 find_package(Gecode 6.2 COMPONENTS Driver Float Int Kernel Minimodel Search Set Support)
+find_package(chuffed)
+if(NOT HIGHS_PLUGIN)
+  find_package(HIGHS REQUIRED)
+endif()
 find_package(OsiCBC)
 if(NOT CPLEX_PLUGIN)
 	find_package(CPlex REQUIRED)
@@ -55,7 +63,6 @@
 # -------------------------------------------------------------------------------------------------------------------
 #  -- Compiler configuration
 
-include(cmake/support/ccache_setup.cmake)
 include(cmake/support/compiler_setup.cmake)
 
 configure_file(

=== tests/requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-PyYAML==5.4
-pytest==6.*
-py==1.9.*
+PyYAML==6.0.1
+pytest==7.*
+py==1.11.*
 pytest-html==2.*
 pytest-xdist==2.*
 pytest-instafail==0.4.*

=== debian/changelog ===
minizinc (2.8.2+dfsg1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:01:46 +1100

minizinc (2.8.2+dfsg1-1build1) noble; urgency=high

  * No change rebuild against libgecodegist49t64, libgecode49t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:41:57 +0100

minizinc (2.8.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.6.2 (no changes necessary)
  * Depend on either Gecode's flatzinc or ortools-flatzinc.
  * Patch solver_config to try out alternate system-wide default solvers.
  * Install examples from tests to /usr/share/doc/minizinc/examples/.
  * Patch source code to not use __DATE__ and __TIME__ to fix incorrect
    copyright statement and to help reproducible builds.

 -- Kari Pahula <kaol@debian.org>  Mon, 01 Jan 2024 14:30:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: minizinc
 Section: devel
 Priority: optional
-Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 13), dh-exec, cmake, flex, bison, flatzinc, libgecode-dev (>= 6.2.0)
-Standards-Version: 4.6.1
-Homepage: http://www.minizinc.org/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
+Build-Depends: debhelper (>= 13), dh-exec, cmake, flex, bison, libgecode-dev (>= 6.2.0)
+Standards-Version: 4.6.2
+Homepage: https://www.minizinc.org/
 
 Package: minizinc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, flatzinc (>= 6.2.0-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, flatzinc (>= 6.2.0-5) | ortools-flatzinc (>= 8.2+ds-6)
 Breaks: minizinc-ide (<< 2.4.0~)
 Description: constraint modelling language and tool chain
  MiniZinc is a medium-level constraint modelling language. It is

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/minizinc/usr/lib $(CURDIR)/debian/minizinc/usr/include

override_dh_installdocs:
	dh_installdocs
	rm -f $(CURDIR)/debian/minizinc/usr/share/doc/minizinc/*.txt

## minizinc 2.8.3+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  -- Project information and versioning.
 
 project(libminizinc
-        VERSION 2.8.2
+        VERSION 2.8.3
         LANGUAGES CXX C)
 
 if(NOT BUILD_REF)

=== debian/changelog ===
minizinc (2.8.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Add coinor-libcbc-dev as a build dep
  * Add chuffed-flatzinc and gecode-flatzinc (for future use) as
    alternative flatzinc dependencies
  * Remove solver_config alternatives patch
  * Read global Preferences.json from /var/lib/minizinc/ and update it
    with a dpkg trigger on /usr/share/minizinc/solvers/
  * Add postinst script for updating Preferences.json on trigger/install
    and prerm to remove it on remove
  * Add jq and python3-demjson (for jsonlint) as deps for use by the
    maintainer script

 -- Kari Pahula <kaol@debian.org>  Fri, 29 Mar 2024 17:59:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: minizinc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 13), dh-exec, cmake, flex, bison, libgecode-dev (>= 6.2.0)
+Maintainer: Kari Pahula <kaol@debian.org>
+Build-Depends: debhelper (>= 13), dh-exec, cmake, flex, bison, libgecode-dev (>= 6.2.0), coinor-libcbc-dev
 Standards-Version: 4.6.2
 Homepage: https://www.minizinc.org/
 
 Package: minizinc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, flatzinc (>= 6.2.0-5) | ortools-flatzinc (>= 8.2+ds-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, jq, python3-demjson, flatzinc (>= 6.2.0-5) | gecode-flatzinc | ortools-flatzinc (>= 8.2+ds-6) | chuffed-flatzinc
 Breaks: minizinc-ide (<< 2.4.0~)
 Description: constraint modelling language and tool chain
  MiniZinc is a medium-level constraint modelling language. It is

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,15 @@
 
 %:
 	dh $@ --buildsystem=cmake
+
+# Upstream discourages using Chuffed as a library and according to
+# them, compiling MiniZinc with it is only required for WASM builds.
+# So let's explicitly disable it until there's a change to the above.
+# It's still available for use via fzn-chuffed binary.  See
+# https://github.com/chuffed/chuffed/pull/182
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-DCMAKE_DISABLE_FIND_PACKAGE_chuffed=TRUE
 
 override_dh_install:
 	dh_install

## minizinc 2.8.5+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  -- Project information and versioning.
 
 project(libminizinc
-        VERSION 2.8.3
+        VERSION 2.8.5
         LANGUAGES CXX C)
 
 if(NOT BUILD_REF)
@@ -38,6 +38,7 @@
 endif(POLICY CMP0074)
 find_package(Geas)
 find_package(Gecode 6.2 COMPONENTS Driver Float Int Kernel Minimodel Search Set Support)
+find_package(atlantis)
 find_package(chuffed)
 if(NOT HIGHS_PLUGIN)
   find_package(HIGHS REQUIRED)

=== debian/changelog ===
minizinc (2.8.5+dfsg1-2) unstable; urgency=medium

  * Add missing build dep zlib1g-dev needed to enable COIN-BC solver
    support.

 -- Kari Pahula <kaol@debian.org>  Tue, 27 Aug 2024 15:44:14 +0300

minizinc (2.8.5+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1079024)
  * Build a release build.
  * Standards-Version 4.7.0 (no changes necessary).
  * Add Breaks on incompatible old (gecode) flatzinc package.

 -- Kari Pahula <kaol@debian.org>  Tue, 27 Aug 2024 07:04:43 +0300

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 13), dh-exec, cmake, flex, bison, libgecode-dev (>= 6.2.0), coinor-libcbc-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper (>= 13), dh-exec, cmake, flex, bison, libgecode-dev (>= 6.2.0), coinor-libcbc-dev, zlib1g-dev
+Standards-Version: 4.7.0
 Homepage: https://www.minizinc.org/
 
 Package: minizinc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, jq, python3-demjson, flatzinc (>= 6.2.0-5) | gecode-flatzinc | ortools-flatzinc (>= 8.2+ds-6) | chuffed-flatzinc
-Breaks: minizinc-ide (<< 2.4.0~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, jq, python3-demjson, flatzinc | gecode-flatzinc | ortools-flatzinc (>= 8.2+ds-6) | chuffed-flatzinc
+Breaks: minizinc-ide (<< 2.4.0~), flatzinc (<< 6.2.0-6)
 Description: constraint modelling language and tool chain
  MiniZinc is a medium-level constraint modelling language. It is
  high-level enough to express most constraint problems easily, but

## minizinc 2.8.7+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  -- Project information and versioning.
 
 project(libminizinc
-        VERSION 2.8.5
+        VERSION 2.8.7
         LANGUAGES CXX C)
 
 if(NOT BUILD_REF)

=== debian/changelog ===
minizinc (2.8.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Kari Pahula <kaol@debian.org>  Wed, 09 Oct 2024 09:34:44 +0300

minizinc (2.8.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Replace debian/compat file with B-D on debhelper-compat.

 -- Kari Pahula <kaol@debian.org>  Fri, 27 Sep 2024 20:04:18 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 13), dh-exec, cmake, flex, bison, libgecode-dev (>= 6.2.0), coinor-libcbc-dev, zlib1g-dev
+Build-Depends: debhelper (>= 13), debhelper-compat (= 13), dh-exec, cmake, flex, bison, libgecode-dev (>= 6.2.0), coinor-libcbc-dev, zlib1g-dev
 Standards-Version: 4.7.0
 Homepage: https://www.minizinc.org/

## minizinc 2.9.0+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  -- Project information and versioning.
 
 project(libminizinc
-        VERSION 2.8.7
+        VERSION 2.9.0
         LANGUAGES CXX C)
 
 if(NOT BUILD_REF)

=== debian/changelog ===
minizinc (2.9.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Kari Pahula <kaol@debian.org>  Sat, 15 Feb 2025 14:09:31 +0200

## minizinc 2.9.2+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  -- Project information and versioning.
 
 project(libminizinc
-        VERSION 2.9.0
+        VERSION 2.9.2
         LANGUAGES CXX C)
 
 if(NOT BUILD_REF)

=== debian/changelog ===
minizinc (2.9.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Kari Pahula <kaol@debian.org>  Thu, 06 Mar 2025 23:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Build-Depends: debhelper (>= 13), debhelper-compat (= 13), dh-exec, cmake, flex, bison, libgecode-dev (>= 6.2.0), coinor-libcbc-dev, zlib1g-dev
 Standards-Version: 4.7.0
 Homepage: https://www.minizinc.org/
+Vcs-Browser: https://salsa.debian.org/kaol/minizinc
+Vcs-Git: https://salsa.debian.org/kaol/minizinc.git
 
 Package: minizinc
 Architecture: any

## minizinc 2.9.3%2Bdfsg1

=== tests/flattening/requirements.txt ===
pandas==2.2.*
tabulate==0.9.*

## minizinc 2.9.3+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  -- Project information and versioning.
 
 project(libminizinc
-        VERSION 2.9.2
+        VERSION 2.9.3
         LANGUAGES CXX C)
 
 if(NOT BUILD_REF)

=== tests/requirements.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+jsonschema==4.*
 PyYAML==6.0.1
 pytest==7.*
 py==1.11.*

=== debian/changelog ===
minizinc (2.9.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2 (no changes necessary).
  * Add highs as another alternative flatzinc dependency.

 -- Kari Pahula <kaol@debian.org>  Mon, 11 Aug 2025 18:58:50 +0300

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,29 @@
 Section: devel
 Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
-Build-Depends: debhelper (>= 13), debhelper-compat (= 13), dh-exec, cmake, flex, bison, libgecode-dev (>= 6.2.0), coinor-libcbc-dev, zlib1g-dev
-Standards-Version: 4.7.0
+Build-Depends:
+  debhelper (>= 13),
+  debhelper-compat (= 13),
+  dh-exec,
+  cmake,
+  flex,
+  bison,
+  libgecode-dev (>= 6.2.0),
+  coinor-libcbc-dev,
+  zlib1g-dev,
+Standards-Version: 4.7.2
 Homepage: https://www.minizinc.org/
 Vcs-Browser: https://salsa.debian.org/kaol/minizinc
 Vcs-Git: https://salsa.debian.org/kaol/minizinc.git
 
 Package: minizinc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, jq, python3-demjson, flatzinc | gecode-flatzinc | ortools-flatzinc (>= 8.2+ds-6) | chuffed-flatzinc
+Depends:
+  ${shlibs:Depends},
+  ${misc:Depends},
+  jq,
+  python3-demjson,
+  flatzinc | gecode-flatzinc | ortools-flatzinc (>= 8.2+ds-6) | chuffed-flatzinc | highs,
 Breaks: minizinc-ide (<< 2.4.0~), flatzinc (<< 6.2.0-6)
 Description: constraint modelling language and tool chain
  MiniZinc is a medium-level constraint modelling language. It is

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+CMAKE_FLAGS = \
+	-DCMAKE_BUILD_TYPE=Release
 
 %:
 	dh $@ --buildsystem=cmake

## minizinc 2.9.5+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  -- Project information and versioning.
 
 project(libminizinc
-        VERSION 2.9.3
+        VERSION 2.9.5
         LANGUAGES CXX C)
 
 if(NOT BUILD_REF)

=== debian/changelog ===
minizinc (2.9.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.3
  * Remove Priority field from debian/control

 -- Kari Pahula <kaol@debian.org>  Mon, 23 Feb 2026 21:57:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: minizinc
 Section: devel
-Priority: optional
 Maintainer: Kari Pahula <kaol@debian.org>
 Build-Depends:
   debhelper (>= 13),
@@ -12,7 +11,7 @@
   libgecode-dev (>= 6.2.0),
   coinor-libcbc-dev,
   zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.minizinc.org/
 Vcs-Browser: https://salsa.debian.org/kaol/minizinc
 Vcs-Git: https://salsa.debian.org/kaol/minizinc.git
